This is an MCP server provided by Google Calendar API. The server provides tools for developers to build LLM applications on top of Calendar.
A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.
Server Setup
You must configure the Calendar MCP server before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.
Server Endpoints
An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.
The Calendar MCP API has the following global MCP endpoint:
- https://calendarmcp.googleapis.com/mcp/v1
MCP Tools
An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.
Tools
The calendarmcp.googleapis.com MCP server has the following tools:
| MCP Tools | |
|---|---|
list_events |
Returns events on the given calendar matching all specified constraints. Time constraints should not be specified unless requested by the user. For open-ended keyword or topic-based searches on the primary calendar, the search_events tool must be used instead. |
get_event |
Returns a single event on the given calendar. |
list_calendars |
Returns the calendars this user has access to (their calendar list). Use this tool to resolve calendar identifying data (for example, 'my family calendar') into its corresponding calendar_id (email identifier)
|
suggest_time |
Suggests time periods across one or more calendars. |
create_event |
Creates an event on the given calendar. |
update_event |
Updates an event on the given calendar. |
delete_event |
Deletes an event on the given calendar. |
respond_to_event |
Responds to an event on a calendar. |
search_events |
Searches events on the user's primary calendar using semantic search. |
Get MCP tool specifications
To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.
| Curl Request |
|---|
curl --location 'https://calendarmcp.googleapis.com/mcp/v1' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' |